using System;
using System.Net.Sockets;
using System.Collections;
using System.Threading;
using System.Data.Odbc;
using System.Net;

namespace GameServer
{
    class cWRZombie
    {
        public int Points = 0;
        public int Kills = 0;
        public int Deaths = 0;

        public int SpawnedZombies = 5;

        public int ZombiesPerRound = 30;

        public int ActualWave = 0;

        public int MaximalWave = 30;

        public bool CheckWave(cWRClient _Client)
        {
            if (ActualWave != MaximalWave)
            {
                return true;
            }
            else
            {
                return false;
            }
            return false;
        }

        public void SaveGameStats(cWRClient Client)
        {
            //ToDo
        }

        public void HandleTimeEvents(cWRClient _Client)
        {
            cWRRoom Room = _Client.getRoom();
            if (_Client.FuckPacket < 5000 && _Client.FuckPacket > 20000 && SpawnedZombies > 28)
            {
                _Client.Send(new SP_ZOMBIESPAWN_MADMAN(SpawnedZombies));
                SpawnedZombies++;
            }
        }

    }
}
